LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Data Fields
render_details Struct Reference

`#include <events.h>`

## Data Fields
int | width
int | height
double | fps
boolean | ratio_fps
LiVESWidget * | dialog
LiVESWidget * | okbutton
LiVESWidget * | encoder_combo
LiVESWidget * | ofmt_combo
LiVESWidget * | acodec_combo
LiVESWidget * | acodec_entry
LiVESWidget * | spinbutton_width
LiVESWidget * | spinbutton_height
LiVESWidget * | spinbutton_fps
LiVESWidget * | pertrack_checkbutton
LiVESWidget * | backaudio_checkbutton
LiVESWidget * | always_checkbutton
LiVESWidget * | always_hbox
ulong | encoder_name_fn
ulong | encoder_ofmt_fn
boolean | enc_changed
char * | encoder_name
boolean | suggestion_followed
boolean | is_encoding
int | arate
int | achans
int | asamps
int | aendian

## Field Documentation

int render_details::achans

LiVESWidget* render_details::acodec_combo

LiVESWidget* render_details::acodec_entry

int render_details::aendian

LiVESWidget* render_details::always_checkbutton

LiVESWidget* render_details::always_hbox

int render_details::arate

int render_details::asamps

LiVESWidget* render_details::backaudio_checkbutton

LiVESWidget* render_details::dialog

boolean render_details::enc_changed

LiVESWidget* render_details::encoder_combo

char* render_details::encoder_name

ulong render_details::encoder_name_fn

ulong render_details::encoder_ofmt_fn

double render_details::fps

int render_details::height

boolean render_details::is_encoding

LiVESWidget* render_details::ofmt_combo

LiVESWidget* render_details::okbutton

LiVESWidget* render_details::pertrack_checkbutton

boolean render_details::ratio_fps

LiVESWidget* render_details::spinbutton_fps

LiVESWidget* render_details::spinbutton_height

LiVESWidget* render_details::spinbutton_width

boolean render_details::suggestion_followed

int render_details::width

The documentation for this struct was generated from the following file:

- src/events.h